pulseaudio[...]: sap.c: sendmsg() failed: Invalid argument

Bug #187963 reported by Thomas Templin on 2008-02-01
38
This bug affects 5 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: pulseaudio

DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu hardy (development branch)"

pulseaudio 0.9.9-1ubuntu1

logcheck message up to 400kB every hour:

...
Jan 31 09:12:38 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:12:43 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:12:48 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:12:53 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:12:59 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:04 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:09 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:14 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:19 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:24 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:29 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
Jan 31 09:13:34 bronto pulseaudio[19393]: sap.c: sendmsg() failed: Invalid argument
...

Daniel T Chen (crimsun) wrote :

With what PA use case(s) are you seeing this?

Changed in pulseaudio:
status: New → Incomplete

Hi Daniel

This hapens during ordinary gnome sessions and only running mythtv from time
to time (Audio setting in mythtv: alsa:default). Mythtv is the only 'audio'
application running.

But also overnight when the system is idle there are such logwatch entries
every 30 / 60 seconds.

 ---8<---
Feb 3 04:02:26 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:02:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:02:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:02:41 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:02:46 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:02:51 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:03:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:03:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:04:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:05:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:06:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:07:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:08:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:09:06 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:09:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:10:06 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:10:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:11:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:12:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:13:01 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:13:06 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:13:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:14:36 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:15:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:16:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:17:01 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:17:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:18:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:19:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:20:01 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
Feb 3 04:20:31 bronto pulseaudio[9173]: sap.c: sendmsg() failed: Invalid
argument
 ---8<---

regards,
thomas

Daniel T Chen (crimsun) wrote :

Interesting, so you are using module-rtp-*. What's the output from "list-modules" when running pacmd?

Changed in pulseaudio:
importance: Undecided → Low

Hi Daniel

>>> list-modules
17 module(s) loaded.
    index: 0
 name: <module-alsa-source>
 argument: <device_id=0
source_name=alsa_input.pci_13f6_111_sound_card_0_alsa_capture_0>
 used: -1
 auto unload: no
    index: 1
 name: <module-hal-detect>
 argument: <>
 used: -1
 auto unload: no
    index: 2
 name: <module-esound-protocol-unix>
 argument: <>
 used: -1
 auto unload: no
    index: 3
 name: <module-native-protocol-unix>
 argument: <>
 used: -1
 auto unload: no
    index: 4
 name: <module-volume-restore>
 argument: <>
 used: -1
 auto unload: no
    index: 5
 name: <module-default-device-restore>
 argument: <>
 used: -1
 auto unload: no
    index: 6
 name: <module-rescue-streams>
 argument: <>
 used: -1
 auto unload: no
    index: 7
    name: <module-suspend-on-idle>
 argument: <>
 used: -1
 auto unload: no
    index: 8
 name: <module-x11-publish>
 argument: <>
 used: -1
 auto unload: no
    index: 9
 name: <module-null-sink>
 argument: <sink_name=rtp format=s16be channels=2 rate=44100 description="RTP
Multicast Sink">
 used: -1
 auto unload: no
    index: 10
 name: <module-rtp-send>
 argument: <source=rtp.monitor loop=1>
 used: -1
 auto unload: no
    index: 11
 name: <module-combine>
 argument: <>
 used: -1
 auto unload: no
    index: 12
 name: <module-rtp-recv>
 argument: <>
 used: -1
 auto unload: no
    index: 13
 name: <module-zeroconf-discover>
 argument: <>
 used: -1
 auto unload: no
    index: 14
 name: <module-gconf>
 argument: <>
 used: -1
 auto unload: no
    index: 16
 name: <module-x11-xsmp>
 argument: <>
 used: -1
 auto unload: no
    index: 17
 name: <module-cli-protocol-unix>
 argument: <>
 used: -1
 auto unload: no
>>>

regards,
thomas

Thomas Templin (coastgnu) wrote :

On Wed, 6. February 2008 16:38:33 Daniel T Chen wrote:
> Interesting, so you are using module-rtp-*.

The user is member of the group pulse-rt.
I added him to this group because of an error message:
 pulseaudio[18629]: main.c: We are not in group 'pulse-rt' and PolicyKit
 refuse to grant us priviliges. Dropping SUID again.

regards,
thomas

Daniel T Chen (crimsun) wrote :

Is the spam reproducible when you unload the rtp modules?

Thomas Templin (coastgnu) wrote :
Download full text (9.5 KiB)

On Fri, 15. February 2008 18:49:30 Daniel T Chen wrote:
> Is the spam reproducible when you unload the rtp modules?

I started
 sudo pacmd
and tried to
 unload-module module-rtp-send
and
 unload-module module-rtp-rcv
and got an error message
 Invalid module index

 [...]
 >>> unload-module rtp-send
 Invalid module index.

Nevertheless, at least I was able to disabled checkboxes for 'Activate
Multicast/RTP-Receiver' and 'Activate Multicast/RTP Transmitter' in paprefs.
(in LANG=de_DE it is 'Muticast/RTP Empfänger aktivieren' and 'Multicast/RTP
Sender aktivieren')

I disabled every checkbox in paprefs.

Now paccmd list-modules shows no rtp-modules anymore.

And logs changed:

grep pulseaudio /var/log/messages

Feb 17 20:09:05 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 14:05:49 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 14:08:47 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 15:01:42 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 15:03:24 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 15:49:37 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 15:49:56 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 16:18:57 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 17:37:29 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 17:38:22 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 19:34:29 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 19:50:09 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 20:05:53 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.

grep pulseaudio /var/log/syslog
Feb 18 14:05:49 bronto pulseaudio[12545]: module-alsa-sink.c: Error opening
PCM device front:0: Device or resource busy
Feb 18 14:05:49 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 14:05:52 bronto pulseaudio[12545]: module-alsa-sink.c: Error opening
PCM device front:0: Device or resource busy
Feb 18 14:05:52 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 14:06:06 bronto pulseaudio[12545]: module-alsa-sink.c: Error opening
PCM device front:0: Device or resource busy
Feb 18 14:06:06 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 14:08:47 bronto pulseaudio[12545]: module-alsa-sink.c: Error opening
PCM device front:0: Device or resource busy
Feb 18 14:08:47 bronto pulseaudio[12545]: sink-input.c: Failed to create sink
input: too many inputs per sink.
Feb 18 15:01:42 bronto pulseaudio[1254...

Read more...

Daniel T Chen (crimsun) wrote :

Ok, so there's no real "brokenness" here. The annoyance seems to be that the log priority is too high/verbose.

Changed in pulseaudio:
importance: Low → Wishlist
status: Incomplete → Triaged
stereoit (smol-robert) wrote :

Hi Daniel,
as I am suffering from the same error and this is the first page I got on googleing it, would you mind to point to how to fix as a user?

many thanks

Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible in 9.04?

Changed in pulseaudio:
status: Triaged → Incomplete
Daniel T Chen (crimsun) on 2009-03-04
Changed in pulseaudio:
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: Fix Committed → Fix Released
Inderpreet (inderpreet-nsit) wrote :

I can still see these messages. Today I upgraded to pulseaudio 0.9.15 on Jaunty and my syslog is still flooded with these messages. Its not breaking anything but generates 100+ messages every second.

0.9.14 generated a limited number of these messages too.

Mike Butash (michael-butash) wrote :

I can attest this is occurring in karmic with 0.9.16-test4 as well, about 1 log a second. Can we get this fix pushed upstream? Thanks!

V for Vortex (v4vortex) wrote :

I still get this log-flooding with pulseaudio 0.9.19 / Ubuntu 9.10. How can I suppress it?

V for Vortex (v4vortex) wrote :

After some research (I'm not more than a advanced user) I created a file ~/.pulse/daemon.conf with the options

log-target=stderr
log-level=error

and restarted pulseaudio. This seems to have silented it. But it's still only a workaround to keep my user.log clean.

Dave Fine (finerrecliner) wrote :

I'm also running Ubuntu 9.10 and have a similar log, flooded with pulseaudio errors. It looks like a fix was released for pulseaudio 0.9.14, but I'm now running version 0.9.19, so it doesn't look like it worked :(

I'll try the workaround from V for Vortex, but would like to see this re-investigated. thanks!

Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed
Witold Baryluk (baryluk) wrote :

I have the same problem running Debian Sid with pulseaudio 0.9.21-1.

jolestar (jolestar) wrote :

have same problem running OpenSuse 11.2 with pulseaudio 0.9.21-1.2.1

Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu. Ubuntu 8.04 (hardy) reached end-of-life on May 12, 2011.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please upgrade to the latest version and re-test.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for pulseaudio (Ubuntu) because there has been no activity for 60 days.]

Changed in pulseaudio (Ubuntu):
status: Incomplete → Expired
Tina Russell (tinarussell) wrote :

I am getting this bug with PulseAudio 11.1 in Ubuntu 18.04 LTS.

Changed in pulseaudio (Ubuntu):
status: Expired → Confirmed
Daniel van Vugt (vanvugt) wrote :

Tina,

This bug is 10 years old so if you have trouble with the latest release we would prefer a fresh bug report.

Please run 'ubuntu-bug pulseaudio' to create the new bug.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers